Package samples.mediators.extensions

## Class SpringCustomLogger

- java.lang.Object
- - org.apache.synapse.mediators.AbstractMediator
  - - samples.mediators.extensions.SpringCustomLogger

- All Implemented Interfaces:
    `org.apache.synapse.aspects.AspectConfigurable`, `org.apache.synapse.Mediator`, `org.apache.synapse.SynapseArtifact`

      public class SpringCustomLogger
      extends org.apache.synapse.mediators.AbstractMediator

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.mediators.AbstractMediator

      `trace, traceState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringCustomLogger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEmail()` |
    `String` | `getUserName()` |
    `boolean` | `mediate​(org.apache.synapse.MessageContext synCtx)` |
    `void` | `setEmail​(String email)` |
    `void` | `setUserName​(String userName)` |

    - ### Methods inherited from class org.apache.synapse.mediators.AbstractMediator

      `auditLog, auditWarn, configure, disableStatistics, disableTracing, divertMediationRoute, enableStatistics, enableTracing, getArtifactIdentifier, getAspectConfiguration, getCommentsList, getDescription, getInputType, getLastSequenceFaultHandler, getLog, getMediatorName, getMediatorPosition, getOutputType, getRegisteredMediationFlowPoint, getShortDescription, getTraceState, getType, handleException, handleException, isBreakPoint, isContentAltering, isContentAware, isSkipEnabled, isStatisticsEnable, isTraceOn, isTraceOrDebugOn, isTracingEnabled, registerMediationFlowPoint, reportCloseStatistics, reportCloseStatisticsWithError, reportOpenStatistics, setArtifactIdentifier, setBreakPoint, setCommentsList, setComponentStatisticsId, setDescription, setEffectiveTraceState, setMediatorPosition, setShortDescription, setSkipEnabled, setTraceState, shouldCaptureTracing, shouldTrace, shouldTrace, traceOrDebug, traceOrDebugWarn, unregisterMediationFlowPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringCustomLogger

          public SpringCustomLogger()

  - ### Method Detail

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail​(String email)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName​(String userName)

    - #### mediate

          public boolean mediate​(org.apache.synapse.MessageContext synCtx)